"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvaluationFormat = void 0;
var EvaluationFormat = (function () {
    function EvaluationFormat(id, description, type, minQualificationAcceptable, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, managementFormURL, enabled, templateId) {
        if (templateId === void 0) { templateId = null; }
        this.id = id;
        this.description = description;
        this.type = type;
        this.minQualificationAcceptable = minQualificationAcceptable;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.managementFormURL = managementFormURL;
        this.enabled = enabled;
        this.templateId = templateId;
        this.selected = false;
        this.modelLanguages = null;
        this.minAutomaticQualification = 0;
    }
    return EvaluationFormat;
}());
exports.EvaluationFormat = EvaluationFormat;
